%global _empty_manifest_terminate_build 0
Name:           python-pyrsistent
Version:        0.19.3
Release:        1
Summary:        Persistent/Functional/Immutable data structures
License:        MIT
URL:            http://github.com/tobgu/pyrsistent/
Source0:        https://files.pythonhosted.org/packages/bf/90/445a7dbd275c654c268f47fa9452152709134f61f09605cf776407055a89/pyrsistent-0.19.3.tar.gz
Patch0:         0001-relax-dependency-on-pytest.patch
%description
Pyrsistent is a number of persistent collections (by some referred to as functional data structures). Persistent in
the sense that they are immutable.

%package -n python3-pyrsistent
Summary:        Persistent/Functional/Immutable data structures
Provides:       python-pyrsistent
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hypothesis
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-six
BuildRequires:  gcc
%description -n python3-pyrsistent
Pyrsistent is a number of persistent collections (by some referred to as functional data structures). Persistent in
the sense that they are immutable.

%package help
Summary:        Persistent/Functional/Immutable data structures
Provides:       python3-pyrsistent-doc
BuildArch:      noarch
%description help
Pyrsistent is a number of persistent collections (by some referred to as functional data structures). Persistent in
the sense that they are immutable.

%prep
%autosetup -n pyrsistent-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-pyrsistent -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Feb 9 2023 wubijie <wubijie@kylinos.cn> - 0.19.3-1
- Update package to version 0.19.3

* Tue Jan 17 2023 liyanan <liyanan32@h-partners.com> - 0.19.2-2
- relax dependency on pytest

* Tue Dec 06 2022 dingdingaaaaa <dingziwei@kylinos.cn> - 0.19.2-1
- update version to 0.19.2

* Mon May 16 2022 OpenStack_SIG <openstack@openeuler.org> - 0.18.1-1
- Upgrade package python3-pyrsistent to version 0.18.1

* Thu Aug 26 2021 orange-snn <songnannan2@huawei.com> - 0.18.0-1
- update version to 0.18.0

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 0.17.3-1
- Update version to 0.17.3

* Mon Aug 10 2020 tianwei <tianwei12@huawei.com> - 0.16.0.-1
- Package Init
